###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: rgmanager
Version: 2.0.52
Release: 1.0.1%{?dist}.2
License: GPL,LGPL
Group: System Environment/Base
Summary: Open Source HA Resource Group Failover
Requires: chkconfig initscripts glibc ncurses libxml2 bash grep sed gawk
Requires: cman >= 2.0.88-2
Requires: kernel >= 2.6.18-143
Requires: net-tools mount /sbin/findfs /bin/bash
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Provides: rgmanager
Obsoletes: clumanager
BuildRequires: glibc-devel ncurses-devel libxml2-devel /bin/grep
BuildRequires: cman-devel slang-devel
#ExclusiveArch: %{ix86} x86_64
Source: %{name}-%{version}.tar.gz
Patch1: rgmanager-1.9.31-norun.patch
Patch5: bz524213-1-of-1.patch
Patch15: bz528130-1-of-1.patch	
Patch16: bz529310-1-of-1.patch

Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
%description
Resource Group Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime.

%prep
%setup -q
%patch1 -p1 -b .norun
%patch5 -p2 -b .bz524213
%patch15 -p2 -b .bz528130
%patch16 -p2 -b .bz529310

%build
./configure --kernel_src=/usr/src/kernels/2.6.16-1.2236_FC6-i686/

sed -i '/RELEASE_MAJOR/s/= .*/= %version/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= %release/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rgmanager

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del rgmanager
fi

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING errors.txt
%{_mandir}/*/*
/usr/sbin/
/usr/share/cluster
%config /etc/rc.d/init.d/rgmanager

%changelog
* Thu Oct 22 2009 Srinivas Maturi <srinivas.maturi@oracle.com> - 2.0.52-1.0.1.el5_4.2
- Update summary and description in specfile to be vendor neutral

* Mon Oct 19 2009 Lon Hohberger <lhh@redhat.com> - 2.0.52-1.el5_4.2
- Fix path checking during force unmount
- Resolves: rhbz#528130 (518037)
- Fix bonded link checking for xen-bridged interfaces
- Resolves: rhbz#529310 (514040)

* Thu Sep 17 2009 Lon Hohberger <lhh@redhat.com> - 2.0.52-1.el5_4.1
- Fix missing path support in vm.sh
- Resolves: rhbz#524213 (519786)

* Wed Jul 29 2009 Chris Feist <cfeist@redhat.com> - 2.0.52-1
- When vm.sh does a status check and gets 'no state' it is now treated as a
  running state.
- Resolves: rhb#514044

* Thu Jun 11 2009 Chris Feist <cfeist@redhat.com> - 2.0.51-1
- In some cases virtual machines will be restarted after a successful migration
  when the cluster configuration is updated.
- Resolves: rhbz#505340

* Thu May 21 2009 Chris Feist <cfeist@redhat.com> - 2.0.50-1
- Extra checks from the oracle agents have been removed.
- Several fixes to prevent DOS attacks through insecure use of /tmp/ files have
  been implemented.
- vm.sh now uses libvirt
- Users can now define an explicit service processing order when
  central_processing is enabled
- Resolves: rhbz#470917 rhbz#412911 rhbz#468691 rhbz#492828

* Wed May 20 2009 Chris Feist <cfeist@redhat.com> - 2.0.49-1
- Rgmanger now checks to see if it has been killed by the OOM killer and if
  so, reboots the node.
- Resolves: rhbz#488072

* Tue May 05 2009 Chris Feist <cfeist@redhat.com> - 2.0.48-1
- clulog now accepts '-' as the first character in messages.
- If expire_time is 0 max_restarts is no longer ignored.
- SAP scripts have been updated.
- Empty PID files no longer cause resource start failures.
- Recovery policy of type restart now works properly when using a resource
  based on ra-skelet.sh
- startup_wait option has been added to the mysql resource agent.
- samba.sh now kills the pid listed in the proper pid file.
- Handling of '-F' has been improved to fix issues with rgmanager crashing if
  no members of a restricted failover domain are online and rgmanager failing
  to correctly restart service is they fail on the first node.
- Enabled ability to prioritize services.
- It is now possible to cap the number of simultaneious status checks to
  prevent load spikes.
- Enabling a frozen service no longer fails and leaves the service in a failed
  state.
- Forking and cloning during status checks has been optimized to reduce load
  spikes.
- rg_test no longers hangs when running against a cluster due to the removal
  of an 8MB memory cap.
- Resolves: rhbz#471431 rhbz#475826 rhbz#474444 rhbz#449394 rhbz#481058 rhbz#483093 rhbz#486711 rhbz#486717 rhbz#482858 rhbz#487598 rhbz#488714 rhbz#250718 rhbz#490455

* Wed Dec 03 2008 Chris Feist <cfeist@redhat.com> - 2.0.46-1
- postgres-8.sh now uses 'su' instead of 'sudo' allowing the resource agent to
  run in the background.
- Resolves: rhbz#462910

* Thu Nov 06 2008 Chris Feist <cfeist@redhat.com> - 2.0.45-1
- Fix conditional check of $OCF_RESKEY_migration_mapping

* Mon Oct 20 2008 Chris Feist <cfeist@redhat.com> - 2.0.44-1
- Fix fuser parsing on later versions of psmisc
- Resolves: rhbz#467686

* Wed Oct 08 2008 Chris Feist <cfeist@redhat.com> - 2.0.43-1
- Fixed issues with postgres-8.sh and metadata problems.
- Resolves: rhbz#462910

* Tue Sep 16 2008 Chris Feist <cfeist@redhat.com> - 2.0.42-1
- rgmanager can now resolve hostnames to IP addresses and back when checking
  NFS clients.
- Caching has been added in services to increase performance with a large
  number of individual mounters.
- Resolves: rhbz#455324

* Thu Sep 11 2008 Chris Feist <cfeist@redhat.com> - 2.0.41-1
- Enforcement of timeouts on a per resource basis is now implemented
- Resolves: rhbz#455326

* Fri Sep 05 2008 Chris Feist <cfeist@redhat.com> - 2.0.40-1
- Parameter added for mapping cluster node name to xen migration
  target hostname.
- Add support for service freeze/unfreeze.
- rgmanager now detects restricted failover domain crashes.
- Fix bugs when using rgmanager with IPv6.
- rgmanager now waits for fence domain join to complete on startup.
- clusvcadm man page fixes.
- Resolves: rhbz#453429 rhbz#448046 rhbz#435466 rhbz#459582 rhbz#460032 rhbz#459754

* Thu Jul 31 2008 Chris Feist <cfeist@redhat.com> - 2.0.39-1
- rgmanager no longer erroneously removes the wrong address when the IP
  address matches the broadcast address of the interface.
- rgmanager now properly checks pbond links (used with Xen).
- Resources with names that include spaces are now properly handled.
- HA LVM now works properly on ia64 architectures.
- Symlinks in mount points no longer cause failures.
- rgmanager now properly sets the close on exec bit for its sockets (fixes
  SELinux issues)
- Non-ethernet bonding slaves now work properly.
- The LVM script now provides sufficient parameter descriptions.
- Machines can now fence themselves if they cannot deactivate their logical
  volumes.
- The LVM script no longer removes tags from all VGs.
- Resolves: rhbz#453000 rhbz#451654 rhbz#445662 rhbz#446260 rhbz#441582 rhbz#433313 rhbz#331661 rhbz#443660 rhbz#431713 rhbz#242798 rhbz#438816

* Thu Mar 27 2008 Chris Feist <cfeist@redhat.com> - 2.0.38-1
- Leaving out the VG name paramater to 'vgchange --deltag' no longer
  causes the tag to be removed from all VGs.
- Resolves: rhbz#438816

* Mon Mar 24 2008 Chris Feist <cfeist@redhat.com> - 2.0.37-1
- A bug was fixed which caused incorrect return codes during service stop
  operations.
- Resolves: rhbz#432998

* Mon Feb 04 2008 Chris Feist <cfeist@redhat.com> - 2.0.36-1
- Allow restart counters to work with central processing
- Resolves: rhbz#400211

* Thu Jan 17 2008 Chris Feist <cfeist@redhat.com> - 2.0.35-1
- A migrate-to-self with vm's is not not allowed
- Resolves: rhbz#430272

* Thu Jan 17 2008 Chris Feist <cfeist@redhat.com> - 2.0.34-1
- Extraneous errors in during HA lvm operations have been fixed
- Oracle 10g Release 2 resource agent is now included
- Resolves: rhbz#428346 rhbz#349571

* Mon Jan 14 2008 Chris Feist <cfeist@redhat.com> - 2.0.33-1
- Samba shares may now be mounted from the netfs resource agent
- clulog now honors rgmanager log levels
- Fixed a crash on restart bug
- Default migration policy is now live (from paused)
- Restart counters have been implemented
- Stopping a service using a shared GFS resource no longer umounts GFS if
  other services are using it
- HA LVM now allows multiple LVs/VGs as long as they move together
- Resolves: rhbz#289501 rhbz#303981 rhbz#345871 rhbz#247139 rhbz#254111 rhbz#427378 rhbz#428448

* Thu Jan 03 2008 Chris Feist <cfeist@redhat.com> - 2.0.32-1
- Mounting samba shares are now supported.
- clulog now honors cluster configuration specification of log levels in
  all cases.
- clusvcadm man page has been updated
- Default virtual machine migration is now live (-l)
- It is now possible to fail over a service have a specified number of restarts
- rgmanager no longer umounts shared gfs partitions when it is used by other
  services
- Resolves: rhbz#250681 rhbz#289501 rhbz#303981 rhbz#324151 rhbz#345871 rhbz#400211 rhbz#254111

* Tue Sep 25 2007 Chris Feist <cfeist@redhat.com> - 2.0.31-1
- Failed resources and their dependencies are restarted instead of the whole
  service
- Resolves: rhbz#229650

* Wed Aug 15 2007 Chris Feist <cfeist@redhat.com> - 2.0.29-1
- Virtual machines are no longer restarted when adding as a managed service
- Made rgmanager compatible with new libdlm
- Fixed an error which would cause a node to shutdown if you shutdown while
  processing a relocation request
- A deadlock was fixed when doing lots of service relocations
- Resolves: rhbz#248727 rhbz#249758 rhbz#247291 rhbz#249314

* Wed Jan 17 2007 Chris Feist <cfeist@redhat.com> - 2.0.23-1
- New upstream sources.
- Resolves: rhbz#222961

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> - 2.0.22-1
- New upstream sources.
- Resolves: rhbz#222485

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.21-1
- New upstream sources.
- Resolves: rhbz#218697

* Thu Dec 14 2006 Chris Feist <cfeist@redhat.com> - 2.0.20-1
- New upstream sources.
- Resolves: rhbz#216774

* Tue Nov 28 2006 Chris Feist <cfeist@redhat.com> - 2.0.17-4
- New upstream sources.
- Resolves: rhbz#213878

* Mon Oct 16 2006 Chris Feist <cfeist@redhat.com> - 2.0.13-1
- New upstream sources.

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.11-1
- Added dist tag.

* Mon Oct 09 2006 Chris Feist <cfeist@redhat.com> - 2.0.9-1
- Rebuilt with new upstream sources.

* Wed Sep 27 2006 Chris Feist <cfeist@redhat.com> - 2.0.8-1
- Rebuilt with new upstream sources.

* Mon Sep 15 2006 Chris Feist <cfeist@redhat.com> - 2.0.7-1
- Rebuilt with new upstream sources.

* Wed Sep 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.6-1
- Rebuilt with new upstream sources.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.0-0.fc6.5.1
- rebuild

* Tue Jun 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.0-0.fc6.4
- Built for fc6

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.9.44-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Chris Feist <cfeist@redhat.com>
- Rebuilt with new upstream sources.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri May 05 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file.

* Thu May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Tue Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.4
- Build against latest set of libs and update sources.

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.3
- Build against latest set of libs and update sources.

* Tue Aug 17 2004 Jon Brassow <jbrassow@redhat.com> 1.9.2-2
- Build against latest set of libs.

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.2-1
- Fix up specfile

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.1-1
- Work around bug in VF code with sledgehammer approach

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.0-1
- Initial build.
